using System;

namespace Automoviles{
	/// <summary>
	/// Programa que ordena una estructura!!!
	/// </summary>
	class Principal{
		//Estructura automovil
		struct Automovil{
			public string marca;
			public string modelo;
			public string color;
			public int ao;// de fabricacin
			public int precio;// en dolares
		}
		[STAThread]
		//Funcion Main
		static void Main()	{
			int cantidad=0;
			Console.Write("\t\tBienvenido al programa de ventas de automviles!\n");
			try{
				Console.Write("Ingrese la cantidad de automviles que hay en stock: ");
				cantidad=int.Parse(Console.ReadLine());
			}catch(System.FormatException e){
				Console.WriteLine(e.Message.ToString());
			}
			Automovil[] Auto = new Automovil[cantidad];
			Principal.Cargar(Auto,cantidad);
			Principal.Ordenar(Auto,cantidad);

			return;
		}
		
		//Funcin cargar datos en la estructura
		static void Cargar(Automovil[] Auto,int cantidad){
			try{
				for (int i=0;i<cantidad;i++){
					Console.WriteLine("\nIngrese la marca del automvil: ");
					Auto[i].marca=Console.ReadLine();
					Console.Write("\nIngrese el modelo del automvil: ");
					Auto[i].modelo=Console.ReadLine();
					Console.Write("\nIngrese el color del automvil: ");
					Auto[i].color=Console.ReadLine();
					Console.Write("\nIngrese el ao de fabricacin del automvil: ");
					Auto[i].ao=int.Parse(Console.ReadLine());
					Console.Write("\nIngrese el precio(en dolares) del automvil: ");
					Auto[i].precio=int.Parse(Console.ReadLine());
				}
			}catch(System.FormatException e){
				Console.WriteLine(e.Message.ToString());
			}
			return;
		}

		//Funcion Imprimir Estructura completa.
		static void Imprimir(Automovil[] Auto,int cantidad){
			for (int i=0;i<cantidad;i++){
				Console.Write("\nLa marca del automvil: ");
				Console.Write("\n"+Auto[i].marca);
				Console.Write("\nEl modelo del automvil: ");
				Console.Write("\n"+Auto[i].modelo);
				Console.Write("\nEl color del automvil: ");
				Console.Write("\n"+Auto[i].color);
				Console.Write("\nEl ao de fabricacin del automvil: ");
				Console.Write("\n"+Auto[i].ao);
				Console.Write("\nEl precio(en dolares) del automvil: ");
				Console.Write("\n"+Auto[i].precio+"\n");			
			}
			Console.ReadLine();
		}

		//Funcin Ordenar(por mtodo burbuja) por ao de fabricacin
		static void Ordenar(Automovil[] Auto,int cantidad){
			Automovil[] Aux=new Automovil[1];
			for(int i=0;i<cantidad;i++){
				for (int j=1;j<=(cantidad-1);j++){
					if(Auto[i].ao>Auto[j].ao){
						Aux[0] = Auto[i];
						Auto[i] = Auto[j];
						Auto[j] = Aux[0];
					}
				}
			}
			Console.Write("\n\n");
			Principal.Imprimir(Auto,cantidad);
		}
	}
}
